summaryrefslogtreecommitdiff
path: root/tests/chgrp/deref
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-01-17 22:40:57 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-01-17 22:40:57 +0000
commitb10a836fa0f27b5f2ef1491c3226681a97ea4072 (patch)
tree9d6caa09b59c653ec9510bc1c654af131217ada2 /tests/chgrp/deref
parentc9946379010854e27a43f63506622dc89a1fb613 (diff)
downloadcoreutils-b10a836fa0f27b5f2ef1491c3226681a97ea4072.tar.xz
Use numeric group ids, not symbolic group names, to avoid shell quoting issues.
Diffstat (limited to 'tests/chgrp/deref')
-rwxr-xr-xtests/chgrp/deref18
1 files changed, 9 insertions, 9 deletions
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index 5e605bfa6..ff215125c 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -30,7 +30,7 @@ touch f
ln -s f symlink
chgrp -h $g2 symlink 2> /dev/null
-set _ `ls -l symlink`
+set _ `ls -ln symlink`
g=$5
test "$g" = $g2 || {
cat <<EOF 1>&2
@@ -43,25 +43,25 @@ EOF
fail=0
chgrp $g1 f
-set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
+set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
chgrp -h $g2 symlink || fail=1
-set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
+set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
# This should not change the group of f.
chgrp -h $g2 symlink || fail=1
-set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
+set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
chgrp $g2 f
-set _ `ls -l f`; g=$5; test "$g" = $g2 || fail=1
+set _ `ls -ln f`; g=$5; test "$g" = $g2 || fail=1
# This *should* change the group of f.
# Though note that the diagnostic you'd get with -c is misleading in that
# it says the `group of `symlink'' has been changed.
chgrp --dereference $g1 symlink
-set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
-set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
+set _ `ls -ln f`; g=$5; test "$g" = $g1 || fail=1
+set _ `ls -ln symlink`; g=$5; test "$g" = $g2 || fail=1
(exit $fail); exit $fail